Update Conversation Endpoint
curl --request PATCH \
--url https://api.omi.me/v1/dev/user/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"discarded": true,
"title": "<string>"
}
'import requests
url = "https://api.omi.me/v1/dev/user/conversations/{conversation_id}"
payload = {
"discarded": True,
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({discarded: true, title: '<string>'})
};
fetch('https://api.omi.me/v1/dev/user/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"structured": {
"overview": "<string>",
"title": "<string>",
"action_items": [],
"emoji": "🧠",
"events": []
},
"folder_id": "<string>",
"folder_name": "<string>",
"geolocation": {
"latitude": 123,
"longitude": 123,
"address": "<string>",
"google_place_id": "<string>",
"location_type": "<string>"
},
"language": "<string>",
"source": "<string>",
"transcript_segments": [
{
"end": 123,
"start": 123,
"text": "<string>",
"id": "<string>",
"speaker_id": 123,
"speaker_name": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Conversations
Update Conversation Endpoint
Update a conversation’s title or discard status.
- conversation_id: The ID of the conversation to update
- title: New title for the conversation (optional)
- discarded: Whether the conversation is discarded (optional)
PATCH
/
v1
/
dev
/
user
/
conversations
/
{conversation_id}
Update Conversation Endpoint
Authorizations
Send Authorization: Bearer <omi_developer_api_key>.
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I